Skip to main content
POST
/
api
/
Relationship
Create a Relationship
curl --request POST \
  --url https://api.virtuoussoftware.com/api/Relationship \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contactId": "<integer>",
  "relationshipType": "<string>",
  "contactIndividualId": "<integer>",
  "relatedContactId": "<integer>",
  "relatedContactIndividualId": "<integer>",
  "notes": "<string>"
}
'
{
  "id": "<integer>",
  "contactId": "<integer>",
  "contact": "<string>",
  "contactIndividual": "<string>",
  "relatedContactId": "<integer>",
  "relatedContact": "<string>",
  "relatedContactIndividual": "<string>",
  "relationshipType": "<string>",
  "notes": "<string>",
  "relatedContactViewUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
contactId
string
relationshipType
string
contactIndividualId
string
notes
string

Response

OK

id
string
contactId
string
contact
string
contactIndividual
string
relationshipType
string
notes
string
Last modified on June 5, 2026